<?php
// Création d'un tableau d'entiers
$tab_ent = array (18,22,-25,-3,-5,88);
// Tableau associatif des codes postaux
$CP = array ('CRETEIL'  => 94000,'NICE'       => 6000, 
             'LA BAULE' => 44500,'STRASBOURG' => 67000);
echo '--- Affichage de $tab_ent ---'.PHP_EOL;
while ($valeur=current($tab_ent))
{$clef=key($tab_ent);
 echo "[$clef]:$valeur\t";
 next($tab_ent);
}
echo PHP_EOL;
echo '--- Affichage de $CP ---'.PHP_EOL;
while ($valeur=current($CP))
{$clef=key($CP);
 echo "[$clef]:$valeur\t";
 next($CP);
}
echo PHP_EOL;
?>
